
Redmine - Defect #15854

Searchable checkbox always set to FALSE after updating Custom Field

2014-01-12 15:30 - Wit Waw

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.2

Description

It's possible however to set it using direct SQL statement ie.:

update custom_fields set searchable=1 where id=1;

Any further update to the Custom Field will clear this checkbox again.    

After checking it up manually it works properly.

Environment:

Redmine version                2.4.2.stable (from redmine-2.4.2.tar.gz)

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

MySQL                          5.1.71

History

#1 - 2014-01-17 09:14 - Marvin Hohlfeld

Same "defect" here... however, this only happens on some field types like integer, float, date,...

It is a hard-coded restriction in the custom fields code, see also:

http://www.redmine.org/boards/1/topics/39406

+1 for making integers searchable!

#2 - 2023-01-04 02:36 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Closing as a duplicate of #19093.
